## org.eclipse.emf.ecore.presentation
Class DynamicModelWizard.DynamicModelWizardNewFileCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewFileCreationPage
                  org.eclipse.emf.ecore.presentation.DynamicModelWizard.DynamicModelWizardNewFileCreationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, Listener

Enclosing class:
  DynamicModelWizard

    public class DynamicModelWizard.DynamicModelWizardNewFileCreationPage

extends WizardNewFileCreationPage

This is the one page of the wizard.

Field Summary
`protected IFile` `modelFile` Remember the model file.

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`DynamicModelWizard.DynamicModelWizardNewFileCreationPage(java.lang.String pageId, IStructuredSelection selection)` Pass in the selection.

Method Summary
`IFile` `getModelFile()`
`boolean` `performFinish()` Store the dialog field settings upon completion.
`protected boolean` `validatePage()` The framework calls this to see if the file is correct.

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createAdvancedControls, createControl, createFile, createFileHandle, createLinkTarget, createNewFile, createRule, getContainerFullPath, getFileExtension, getFileName, getInitialContents, getNewFileLabel, handleAdvancedButtonSelect, handleEvent, initialPopulateContainerNameField, setAllowExistingResources, setContainerFullPath, setFileExtension, setFileName, setVisible, validateLinkedResource`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### modelFile

    protected IFile modelFile

  Remember the model file.

Constructor Detail

### DynamicModelWizard.DynamicModelWizardNewFileCreationPage

    public DynamicModelWizard.DynamicModelWizardNewFileCreationPage(java.lang.String pageId,
                                                                    IStructuredSelection selection)

  Pass in the selection.

Method Detail

### validatePage

    protected boolean validatePage()

  The framework calls this to see if the file is correct.

  Overrides:
    `validatePage` in class `WizardNewFileCreationPage`

### performFinish

    public boolean performFinish()

  Store the dialog field settings upon completion.

### getModelFile

    public IFile getModelFile()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.